import * as React from 'react';
import {
  Table, Header, Container, Form, Checkbox, Button, Rating,
  List, Icon, Grid, Modal,
} from 'semantic-ui-react';
import {SensorConfig} from './sensor_config';

export interface StateProps {
  open?: boolean;
  closeCallback?(): void;
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
  startPopup: boolean;
}

export class SensorConfigPopup extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      startPopup: false,
    };
  }

  public handlePopupClose = () => {
    this.props.closeCallback();
  }

  // public handleCancel = () => this.setState({ startPopup: false });

  public handleSubmit(): void {
    this.setState({ startPopup: false });
  }

  public render(): JSX.Element {
    return (
      <Modal
        open={this.props.open}
      >
        <Modal.Content>
          <Container fluid>
            <Header as='h3' dividing> Discovery Details</Header>
            <br />

            <Modal size='small' open={this.props.open} onClose={this.handlePopupClose.bind(this)}>
              <Modal.Header>Discovery</Modal.Header>
              <Modal.Content >
                <SensorConfig />
              </Modal.Content>
              <Modal.Actions>
                <Button onClick={this.handlePopupClose}>              Cancel      </Button>
                <Button onClick={this.handleSubmit.bind(this)} primary>              Submit      </Button>
              </Modal.Actions>
            </Modal>

          </Container>
        </Modal.Content>
        <Modal.Actions>
          <Button onClick={this.handlePopupClose.bind(this)}>Cancel</Button>
          {/* <Button primary >Done</Button> */}
        </Modal.Actions>
      </Modal>
    );
  }

}
